Bug 1751250 - 0ad is requiring mozjs38 when it claims to be provided / bundled
Summary: 0ad is requiring mozjs38 when it claims to be provided / bundled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: 0ad
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paulo Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-11 13:58 UTC by Michael Cronenworth
Modified: 2019-09-14 16:34 UTC (History)
6 users (show)

Fixed In Version: 0ad-0.0.23b-9.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-14 16:34:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael Cronenworth 2019-09-11 13:58:46 UTC
Description of problem:

Trying to upgrade to Fedora 31 fails with the following problem:

Problem 1: problem with installed package 0ad-0.0.23b-6.fc30.x86_64
  - 0ad-0.0.23b-6.fc30.x86_64 does not belong to a distupgrade repository
  - nothing provides libmozjs38-ps-release.so()(64bit) needed by 0ad-0.0.23b-8.fc31.x86_64
  - nothing provides libmozjs38-ps-release.so(js)(64bit) needed by 0ad-0.0.23b-8.fc31.x86_64


mozjs38 is FTBFS in Fedora 31+ and has been retired.

0ad Provides: bundled(mozjs) = 38

Two automatic Requires: are being added to the package:

libmozjs38-ps-release.so()(64bit)
libmozjs38-ps-release.so(js)(64bit)

Comment 1 Kalev Lember 2019-09-11 15:16:46 UTC
Thanks, should be fixed in 0ad-0.0.23b-9.fc31

Comment 2 Michael Cronenworth 2019-09-11 18:55:43 UTC
Looks good. Thanks for the quick action.

Comment 3 Fedora Update System 2019-09-11 19:38:24 UTC
FEDORA-2019-dc2ce77dd2 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-dc2ce77dd2

Comment 4 Fedora Update System 2019-09-12 14:44:47 UTC
0ad-0.0.23b-9.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-dc2ce77dd2

Comment 5 Fedora Update System 2019-09-14 16:34:34 UTC
0ad-0.0.23b-9.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.